From 3beee9df2c297fffb3a03cd1da6e2c380ef6d4c7 Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jul 14 2016 14:40:39 +0000
Subject: [PATCH 540/1001] Make feed limit configurable


---

diff --git a/hubs/static/client/app/components/Feed.jsx b/hubs/static/client/app/components/Feed.jsx
index 1f208aa..7d9c618 100644
--- a/hubs/static/client/app/components/Feed.jsx
+++ b/hubs/static/client/app/components/Feed.jsx
@@ -3,14 +3,12 @@ import { render } from 'react-dom';
 
 import Panel from './Panel.jsx';
 
-const FEED_MESSAGE_LIMIT = 20;
-
 export default class Feed extends React.Component {
   constructor(props) {
     super(props);
     this.state = {
       matches: this.props.matches,
-      messageLimit: FEED_MESSAGE_LIMIT,
+      messageLimit: this.props.messageLimit,
       sse: true,
     };
     this.source = (!!window.EventSource) ? new EventSource(this.props.url) : {};
@@ -30,17 +28,12 @@ export default class Feed extends React.Component {
     };
   }
   render() {
-    const feedNodes = this.state.matches.map(match => {
-      return <Panel match={match} />;
+    const feedNodes = this.state.matches.map((match, idx) => {
+      return <Panel match={match} key={idx} />;
     });
     return (
-      <div className="card">
-        <div className="card-header">
-          Live Feed
-        </div>
-        <div className="card-block">
-          {feedNodes}
-        </div>
+      <div>
+      {feedNodes}
       </div>
     );
   }
diff --git a/hubs/static/client/app/components/Markup.jsx b/hubs/static/client/app/components/Markup.jsx
index 768a81b..5023498 100644
--- a/hubs/static/client/app/components/Markup.jsx
+++ b/hubs/static/client/app/components/Markup.jsx
@@ -5,7 +5,6 @@ export default class Markup extends React.Component {
     return { __html: this.props.match.markup };
   }
   render() {
-    debugger;
     return (
       <div className="media-body">
         <h4
diff --git a/hubs/widgets/feed.py b/hubs/widgets/feed.py
index c6e3797..f6cf651 100755
--- a/hubs/widgets/feed.py
+++ b/hubs/widgets/feed.py
@@ -34,9 +34,8 @@ fmn_url = config['fmn.url']
 bazillion = 1000
 paths = fmn.lib.load_rules(root='fmn.rules')
 
-# No chrome around the feed.
-# from hubs.widgets.chrome import panel
-# chrome = panel()
+from hubs.widgets.chrome import panel
+chrome = panel('Live Feed')
 template = templating.environment.get_template('templates/feed.html')
 position = 'left'
 
@@ -86,7 +85,11 @@ class PythonObjectEncoder(json.JSONEncoder):
           default="irc",  # TODO - Make this 'hubs', or...
           validator=validators.fmn_context,
           help="A FMN context.")
-def data(session, widget, username, fmn_context):
+@argument(name="message_limit",
+          default=20,
+          validator=validators.integer,
+          help="Max number of feed messages to display")
+def data(session, widget, username, fmn_context, message_limit):
     messages = []
     matches = []
     preference = get_remote_preference(username, fmn_context)
@@ -151,7 +154,7 @@ def data(session, widget, username, fmn_context):
         # And tack on a unique identifier for each top level entry.
         match['dom_id'] = six.text_type(uuid.uuid4())
     matches = json.dumps(matches, cls=PythonObjectEncoder)
-    return dict(matches=matches)
+    return dict(matches=matches, message_limit=message_limit)
 
 
 @hint(ubiquitous=True)

